![Kitura](https://raw.githubusercontent.com/IBM-Swift/Kitura/master/Documentation/KituraLogo.png)

**A Swift Web Framework and HTTP Server**

[![Build Status - Master](https://travis-ci.org/IBM-Swift/Kitura.svg?branch=master)](https://travis-ci.org/IBM-Swift/Kitura)
![macOS](https://img.shields.io/badge/os-macOS-green.svg?style=flat)
![Linux](https://img.shields.io/badge/os-linux-green.svg?style=flat)
![Apache 2](https://img.shields.io/badge/license-Apache2-blue.svg?style=flat)
&nbsp;[![Slack Status](http://swift-at-ibm-slack.mybluemix.net/badge.svg)](http://swift-at-ibm-slack.mybluemix.net/)

## Summary

Kitura is a web framework and web server that is created for web services written in Swift. For more information, visit [www.kitura.io](http://www.kitura.io).

## Table of Contents
* [Summary](#summary)
* [Features](#features)
* [Getting Started](#getting-started)
* [Contributing to Kitura](#contributing-to-kitura)
* [Community](#community)

## Features

- URL routing (GET, POST, PUT, DELETE)
- URL parameters
- Static file serving
- [FastCGI support](https://github.com/IBM-Swift/Kitura/blob/master/Documentation/FastCGI.md)
- SSL/TLS support
- JSON parsing
- Pluggable middleware

## Getting Started

Visit [www.kitura.io](http://www.kitura.io/) for a Getting Started guide, tutorials, and API reference documentation.

## Contributing to Kitura

All improvements to Kitura are very welcome! Here's how to get started with developing Kitura itself.

1. Clone this repository.

  `$ git clone https://github.com/IBM-Swift/Kitura`

2. Build and run tests.

  `$ swift test`

You can find more info on contributing to Kitura in our [contributing guidelines](.github/CONTRIBUTING.md).

## Community

We love to talk server-side Swift, and Kitura. Join our [Slack](http://swift-at-ibm-slack.mybluemix.net/) to meet the team!
